using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

using Infragistics.Win;

namespace WinGridFocusTest
{
    public partial class UserControl1 : UserControl
    {
        public UserControl1()
        {
            InitializeComponent();
        }

        public object DataSource
        {
            get { return ultraGrid1.DataSource; }
            set
            {
                ultraGrid1.DataSource = value;
                if (value != null)
                {
                    ValueList list = ultraGrid1.DisplayLayout.ValueLists.Add();
                    list.ValueListItems.Add(null, "None");
                    list.ValueListItems.Add("NJ", "NJ");
                    list.ValueListItems.Add("NY", "NY");
                    list.DisplayStyle = ValueListDisplayStyle.DisplayText;
                    ultraGrid1.DisplayLayout.Bands[0].Columns["State"].ValueList = list;
                    ultraGrid1.DisplayLayout.Bands[0].Columns["State"].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.DropDownList;
                }
            }
        }
    }
}
